package com.liangjian.dataplatform.member.entity.po.secondary;

import io.swagger.annotations.ApiModelProperty;

import javax.persistence.*;


public class UserAddOrders {


    @ApiModelProperty("收货人")
    private String consignee;

    @ApiModelProperty("收货地区")
    private String aDeliveryAddress;


    @ApiModelProperty("收货地址")
    private String address;

    @ApiModelProperty("收货人")
    private String aConsigneePhone;


    @ApiModelProperty("备注")
    private String buyRemark;

    @ApiModelProperty("下单数量")
    private Integer amount;

    @Column(name="ProductCode")
    @ApiModelProperty(value = "产品编号",required = true)
    private String productCode;

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getaDeliveryAddress() {
        return aDeliveryAddress;
    }

    public void setaDeliveryAddress(String aDeliveryAddress) {
        this.aDeliveryAddress = aDeliveryAddress;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getaConsigneePhone() {
        return aConsigneePhone;
    }

    public void setaConsigneePhone(String aConsigneePhone) {
        this.aConsigneePhone = aConsigneePhone;
    }


    public String getBuyRemark() {
        return buyRemark;
    }

    public void setBuyRemark(String buyRemark) {
        this.buyRemark = buyRemark;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }
}
